Home > Relocation Error > Relocation Error /lib/libpthread.so.0

Relocation Error /lib/libpthread.so.0

Contact the 3rd party vendor and tell them that you can't use their product due to broken lmgrd. Results 1 to 1 of 1 Thread: rpm: relocation error: /lib/i686/libpthread.so.0 Thread Tools Show Printable Version Email this Page… Subscribe to this Thread… Display Linear Mode Switch to Hybrid Mode Switch Unless something else is wrong. Back to top Display posts from previous: All Posts1 Day7 Days2 Weeks1 Month3 Months6 Months1 YearOldest FirstNewest First PGI User Forum Forum Index -> Programming and Compiling All times are this contact form

Bug113000 - relocation error: /lib/tls/libpthread.so.0: symbol errno, version GLIBC_PRIVATE not defined in file libc.so.6 with link time reference Summary: relocation error: /lib/tls/libpthread.so.0: symbol errno, version GLIBC_PRIVA... Back to top mkcolgJoined: 30 Jun 2004Posts: 6773Location: The Portland Group Inc. http://ubuntuforums.org/archive/index.php/t-300843.html http://www.linuxquestions.org/questi...efined-234637/ Last edited by jadtech; May 22nd, 2012 at 05:09 PM. Can anyone point me in the right direction? https://bugzilla.redhat.com/show_bug.cgi?id=113000

You are right about everything u wrote and the last piece of ur advice is something that I have to show to my bosses.. :-) –Kamalakshi Mar 8 '14 at 15:48 Now here's the details (FYI, and anybody reading this in the future) I used the 'install' script to install everything... Does using a bonus action end One with Shadows? Please send the output of commands: $ file /opt/Navisphere/bin/naviagent $ ldd /opt/Navisphere/bin/naviagent do you have the some compat* packages installed ?

Can One GFCI Serve Several Outlets What to do with my pre-teen daughter who has been out of control since a severe accident? The the error your seeing is because the linker is using the TLS version of libc but the non-TLS version of pthread. You may be surprised how motivated they may become trying to solve this problem. How could a language that uses a single word extremely often sustain itself?

If that is possible, then, what is the patch? RHEL3 / CentOS 3.x -- thesetup script will define the environment variable LD_ASSUME_KERNEL andassign it a value of "2.4.7" -- unless it has been set up already byanother script/application.--------------------------------------------------------------------------------* Send me Please notify the sender immediately and delete the communication in its entirety. https://software.intel.com/en-us/forums/intel-inspector-xe/topic/499260 They are intended solely for the use of the individual or entity to whom they are addressed.

The time now is 10:23 PM. How do you say "enchufado" in English? Please gather a description of the steps leading up to the problem and contact the Intel customer support team. Our apologies for this inconvenience.

Before upgrading to CentOS4.4, this same system had RHEL3 ES forx86_64 on it, and the same problem was encountered. http://grokbase.com/t/centos/centos/074j168g1a/version-glibc-2-0-not-defined-in-file-libpthread-so-0 I spent weeks goingback and forth with EMC tech support, but the problem was neverresolved. Top Back to original post Leave a Comment Please sign in to add a comment. Back to top mkcolgJoined: 30 Jun 2004Posts: 6773Location: The Portland Group Inc.

To fix, remove "libpthread.so" from the PGI lib directory and recreate the "libpgthread.so" symlink. weblink The Last Monday Would it be ok to eat rice using spoon in front of Westerners? I saw no need to remove the libpthread.so, since it just pointed to libpgthread.so (although I tried it both ways with no difference). I.e.

There was a part in the installation script that set the LD_ASSUME_KERNEL variable, so I modified that: Code: # set $LD_ASSUME_KERNEL for Linux if [ "$platform" = "Linux" ] then # Not a member? Modo di dire per esprimere "parlare senza tabù" Print some JSON The Rule of Thumb for Title Capitalization how can I copy files which are stored in one variable How do navigate here Does anyone know how I can install a version of libc that will only be used by my Python interpreter, but not by everything else?

Not the answer you're looking for? Tango Icons Tango Desktop Project. Notation: SPACE(n) vs SPACE(O(n)) What are the difficulties of landing on an upslope runway How to explain centuries of cultural/intellectual stagnation?

Top Log in to post comments naveen k.

I don't know Why my setting of LD_LIBRARY_PATH didn't force my new (local) libc to use the new (local) ld-linux. I actually do all of my development from within a chrooted environment. It is in fact possible to install two separate versions of glibc on a single host, we do that every day. Index(es): Date Thread Flag as inappropriate (AWS) Security UNIX Linux Coding Usenet Mailing-ListsNewsgroupsAboutPrivacyImprint linux.derkeiler.com >Newsgroups >comp.os.linux.development.system >2005-12 current community chat Stack Overflow Meta Stack Overflow your communities Sign up or log

Is there a way I can add a patch myself to the source of glibc and fix this problem locally on my machine alone? When I do an objdump of this and grep for errno, i get this: 00000008 g D .tbss 00000004 GLIBC_PRIVATE errno 000171c0 g DF .text 0000001d GLIBC_2.0 __errno_location 000f96e0 g DF Browse other questions tagged linux glibc opensuse or ask your own question. http://supercgis.com/relocation-error/relocation-error.html define set of sets (Seemingly) simple trigonometry problem How come Ferengi starships work?

Join them; it only takes a minute: Sign up symbol errno, version GLIBC_2.0 not defined, in opensuse Linux 11.4 up vote 3 down vote favorite I have a third-party 32-bit executable When I try to start naviagent, I get the errorbelow. Whe I specify LD_LIBRARY_PATH, it still pulls libpthread.so.0 from the /lib/tls: ldd /opt/Navisphere/bin/naviagent linux-gate.so.1 => (0xffffe000) libnsl.so.1 => /lib/libnsl.so.1 (0xf7fb7000) libdl.so.2 => /lib/libdl.so.2 (0x00495000) libm.so.6 => /lib/tls/libm.so.6 (0x0049b000) libpthread.so.0 => /lib/tls/libpthread.so.0 Anti-static wrist strap around your wrist or around your ankle?

Comment 2 Need Real Name 2004-01-07 12:07:11 EST I did a search for libc.so.6 and 4 were found: /lib/i686/libc.so.6 /lib/tls/libc.so.6 /lib/libc.so.6 /usr/lib/libc.so.6 and ldd kmail brings: libkhtml.so.4 => /usr/lib/libkhtml.so.4 (0x0411e000) libjpeg.so.62 However it doesn't seem to mmap() anything as it does on the development box.